Package org.apache.maven.shared.incremental

# Class IncrementalBuildHelperRequest

java.lang.Object
org.apache.maven.shared.incremental.IncrementalBuildHelperRequest

public class IncrementalBuildHelperRequest extends Object

Since:
  1.1
Author:
  Olivier Lamy

## Constructor Summary

Constructors
Constructor
Description
`IncrementalBuildHelperRequest()`

## Method Summary

Modifier and Type
Method
Description
`Set<File>`
`getInputFiles()`
`File`
`getOutputDirectory()`
`IncrementalBuildHelperRequest`
`inputFiles(Set<File> inputFiles)`
`IncrementalBuildHelperRequest`
`outputDirectory(File outputDirectory)`
`void`
`setInputFiles(Set<File> inputFiles)`
`void`
`setOutputDirectory(File outputDirectory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncrementalBuildHelperRequest

public IncrementalBuildHelperRequest()

## Method Details

### getInputFiles

public Set<File> getInputFiles()

### setInputFiles

public void setInputFiles(Set<File> inputFiles)

### inputFiles

public IncrementalBuildHelperRequest inputFiles(Set<File> inputFiles)

### getOutputDirectory

public File getOutputDirectory()

### setOutputDirectory

public void setOutputDirectory(File outputDirectory)

### outputDirectory

public IncrementalBuildHelperRequest outputDirectory(File outputDirectory)